gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Separator The HSeparator widget is a horizontal separator, used to group the widgets within a window.

The HSeparator widget is a horizontal separator, used to group the widgets within a window. It is not used as a separator within menus. To create a separator in a menu create an empty widget and add it to the menu with .

- Constructor
  Constructor
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  GLib.GType GType Property. a Returns the native value for .